com.sun.jna.platform.win32

## Class Winspool.LPPRINTER_DEFAULTS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winspool.LPPRINTER_DEFAULTS

Enclosing interface:
  Winspool

    public static class Winspool.LPPRINTER_DEFAULTS
    extends Structure

The PRINTER_DEFAULTS structure specifies the default data type, environment, initialization data, and access rights for a printer.

See Also:
  PRINTER_DEFAULTS structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`(package private) int` `DesiredAccess` Specifies desired access rights for a printer.
`static java.util.List<java.lang.String>` `FIELDS`
`java.lang.String` `pDatatype` Pointer to a null-terminated string that specifies the default data type for a printer.
`(package private) WinDef.PVOID` `pDevMode` Pointer to a DEVMODE structure that identifies the default environment and initialization data for a printer.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`LPPRINTER_DEFAULTS()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.List<java.lang.String>` `getFieldOrder()` Return this Structure's field names in their proper order.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FIELDS

    public static final java.util.List<java.lang.String> FIELDS

#### pDatatype

    public java.lang.String pDatatype

Pointer to a null-terminated string that specifies the default data type for a printer.

#### pDevMode

    WinDef.PVOID pDevMode

Pointer to a DEVMODE structure that identifies the default environment and initialization data for a printer.

#### DesiredAccess

    int DesiredAccess

Specifies desired access rights for a printer. The OpenPrinter function uses this member to set access rights to the printer. These rights can affect the operation of the SetPrinter and DeletePrinter functions.

### Constructor Detail

#### LPPRINTER_DEFAULTS

    public LPPRINTER_DEFAULTS()

### Method Detail

#### getFieldOrder

    protected java.util.List<java.lang.String> getFieldOrder()

Description copied from class: `Structure`
Return this Structure's field names in their proper order. For example,

     protected List getFieldOrder() {
         return Arrays.asList(new String[] { ... });
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List getFieldOrder() {
         List fields = new ArrayList(super.getFieldOrder());
         fields.addAll(Arrays.asList(new String[] { ... }));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Specified by:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.